RDKit::MolStandardize::Normalizer Class Reference

The Normalizer class for applying Normalization transforms. More...

`#include <Normalize.h>`

## Classes

struct | Product

## Public Member Functions

| Normalizer ()
| Normalizer (const std::string normalizeFile, const unsigned int maxRestarts)
| Construct a Normalizer with a particular normalizeFile and maxRestarts. More...
| Normalizer (std::istream &normalizeStream, const unsigned int maxRestarts)
| Normalizer (const Normalizer &other)=delete
| making Normalizer objects non-copyable More...
Normalizer & | operator= (Normalizer const &)=delete
| ~Normalizer ()
ROMol * | normalize (const ROMol &mol)

## Detailed Description

The Normalizer class for applying Normalization transforms.

Notes:

- This class is typically used to apply a series of Normalization transforms to correct functional groups and recombine charges.
  - Each transform is repeatedly applied until no further changes occur.

Definition at line 46 of file Normalize.h.

## Constructor & Destructor Documentation

## Normalizer() [1/4]

RDKit::MolStandardize::Normalizer::Normalizer | ( |  | ) |

## Normalizer() [2/4]

RDKit::MolStandardize::Normalizer::Normalizer | ( | const std::string | normalizeFile,
|  | const unsigned int | maxRestarts
| ) |  |

Construct a Normalizer with a particular normalizeFile and maxRestarts.

## Normalizer() [3/4]

RDKit::MolStandardize::Normalizer::Normalizer | ( | std::istream & | normalizeStream,
|  | const unsigned int | maxRestarts
| ) |  |

Construct a Normalizer with a particular stream (with parameters) and maxRestarts

## Normalizer() [4/4]

RDKit::MolStandardize::Normalizer::Normalizer | ( | const Normalizer & | other | ) |

delete

making Normalizer objects non-copyable

## ~Normalizer()

RDKit::MolStandardize::Normalizer::~Normalizer | ( |  | ) |

## Member Function Documentation

## normalize()

ROMol* RDKit::MolStandardize::Normalizer::normalize | ( | const ROMol & | mol | ) |

Apply a series of Normalization transforms to correct functional groups and recombine charges.

Notes:

- A series of transforms are applied to the molecule. For each Normalization, the transform is applied repeatedly until no further changes occur.
- If any changes occurred, we go back and start from the first Normalization again, in case the changes mean an earlier transform is now applicable.
  - The molecule is returned once the entire series of Normalizations cause no further changes or if max_restarts (default 200) is reached.

## operator=()

Normalizer& RDKit::MolStandardize::Normalizer::operator= | ( | Normalizer const & |  | ) |

delete

The documentation for this class was generated from the following file:

- Normalize.h